Subject: [Gen-art] Gen-ART review of draft-ietf-pwe3-redundancy-bit-06.txt

From: "Miguel A. Garcia" <[email-masked]>
Date: Tue, 20 Mar 2012 14:41:26 +0100

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft. For background on Gen-ART, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Please resolve these comments along with any other comments you may receive.

Document: draft-ietf-pwe3-redundancy-bit-06.txt
Reviewer: Miguel Garcia <[email-masked]>
Review Date: 2012-03-20
IETF LC End Date: 2012-03-21

Summary: The document is almost ready for publication as a standards 
track RFC, but has some minor issues that should be fixed.

Major issues: none

Minor issues:

- I noticed that many RFC-2119 alike reserved words are written in lower 
case (thus, they are not normative), where I think they should be 
normative, in order to achieve interoperability. Allow me to highlight a 
few examples:

   + Section 5.1, bullet point 2: Both Note 1 and Note 2 include "it is 
recommended", where I think it should be "it is RECOMMENDED". As a 
collateral effect of this, if you agree to write uppercase words here, 
you need to remove the terms "Note 1" and "Note 2", because notes should 
be informative by nature; they should not contain normative text.

  + Section 5.1, last paragraph on page 10. "should be generated". A bit 
later on the same paragraph, but now on page 11: "a PE may use ..."

  + Section 5.1, page 11. The paragraph under the bullet point "Active 
state" contains "the PE nodes must implement". And the paragraph under 
the bullet point "Standby State" contains "The endpoints of the PW may 
also allow..."

  + Section 5.2, 4th paragraph on page 12: There are three instances of 
"must" that should be "MUST".

  + Section 6.2, second paragraph: "the PW MUST also not be used" should 
include the NOT in uppercase, and probably remove the "also" (remember 
that "MUST not" does not equal "MUST NOT" or "MUST also NOT".

Nits/editorial comments:

- As an external reviewer, not familiar with the PW technology, I would 
appreciate if the draft adds a section (perhaps inside Section 3) where 
all the acronyms are expanded, and perhaps briefly described. Otherwise, 
it is hard to read the draft, and try to find where is the first 
occurrence of the acronym, where it was expanded.

- Table 1: In the STANDBY state, the last action is "No action", whereas 
the rest of the actions in the table, where there is no action, the text 
is set to "None". So, probably this one should also be set to "None".

- Section 15.5, first paragraph, there is extra spacing and extra dots at 
the end of this first paragraph.

/Miguel
-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain

---

From: "Aissaoui, Mustapha (Mustapha)" <[email-masked]>
Date: Tue, 20 Mar 2012 08:48:24 -0500

Thanks Miguel. I will make these updates along with other ones I may receive as part of the last call.

Regards,
Mustapha. 

-----Original Message-----
From: Miguel A. Garcia [mailto:[email-masked]] 
Sent: Tuesday, March 20, 2012 9:41 AM
To: Muley, Praveen V (Praveen); Aissaoui, Mustapha (Mustapha); "Andrew G. Malis" ; Stewart Bryant
Cc: General Area Review Team
Subject: Gen-ART review of draft-ietf-pwe3-redundancy-bit-06.txt

I have been selected as the General Area Review Team (Gen-ART) reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Document: draft-ietf-pwe3-redundancy-bit-06.txt
Reviewer: Miguel Garcia <[email-masked]> Review Date: 2012-03-20 IETF LC End Date: 2012-03-21

Summary: The document is almost ready for publication as a standards track RFC, but has some minor issues that should be fixed.

Major issues: none

Minor issues:

- I noticed that many RFC-2119 alike reserved words are written in lower case (thus, they are not normative), where I think they should be normative, in order to achieve interoperability. Allow me to highlight a few examples:

   + Section 5.1, bullet point 2: Both Note 1 and Note 2 include "it is recommended", where I think it should be "it is RECOMMENDED". As a collateral effect of this, if you agree to write uppercase words here, you need to remove the terms "Note 1" and "Note 2", because notes should be informative by nature; they should not contain normative text.

  + Section 5.1, last paragraph on page 10. "should be generated". A bit later on the same paragraph, but now on page 11: "a PE may use ..."

  + Section 5.1, page 11. The paragraph under the bullet point "Active state" contains "the PE nodes must implement". And the paragraph under the bullet point "Standby State" contains "The endpoints of the PW may also allow..."

  + Section 5.2, 4th paragraph on page 12: There are three instances of "must" that should be "MUST".

  + Section 6.2, second paragraph: "the PW MUST also not be used" should include the NOT in uppercase, and probably remove the "also" (remember that "MUST not" does not equal "MUST NOT" or "MUST also NOT".

Nits/editorial comments:

- As an external reviewer, not familiar with the PW technology, I would appreciate if the draft adds a section (perhaps inside Section 3) where all the acronyms are expanded, and perhaps briefly described. Otherwise, it is hard to read the draft, and try to find where is the first occurrence of the acronym, where it was expanded.

- Table 1: In the STANDBY state, the last action is "No action", whereas the rest of the actions in the table, where there is no action, the text is set to "None". So, probably this one should also be set to "None".

- Section 15.5, first paragraph, there is extra spacing and extra dots at the end of this first paragraph.

/Miguel
-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain